home chevron_right Documentation chevron_right Components
Material Color Picker

`fuse-material-color-picker` is a custom built Fuse component allows you to add a color picker that allows to choose one of the many Material spec. colors.

Sample

Usage

<fuse-material-color-picker [(selectedClass)]="colorClass" (onValueChange)="onSettingsChange()"> </fuse-material-color-picker>

Two-way bindings

`selectedClass` The name of the Fuse color class to select, e.g. `red-500`

`selectedBg` The hex code of the color to be selected. It will be only selected if the hex code of the color matches one of the material colors.

Outputs

`onValueChange` Event that triggered when a color selected. Returns an object that holds palette, hue, class name, background and foreground colors.